Subject: Re: I-D Action:draft-reschke-rfc2231-in-http-05.txt

From: Julian Reschke <[email-masked]>
Date: Sun, 11 Oct 2009 09:59:56 +0200

Hi,

this update of draft-reschke-rfc2231-in-http contains two minor changes:

- the charset grammar (<mime-charset> in Section 2.3 of [RFC2978]) 
allows the single quote character, but that character is needed as 
delimiter in the RFC 2231 based syntax; therefore I'm now using a 
modified ABNF for mime-charset, excluding that character (Martin Dürst 
has confirmed this isn't a problem in practice)

- added a note about the possibility of receiving charset/octet-sequence 
combinations that do not decode and added *suggestions* how 
implementations can deal with them

Best regards, Julian

[email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 	Title           : Application of RFC 2231 Encoding to Hypertext Transfer Protocol (HTTP) Headers
> 	Author(s)       : J. Reschke
> 	Filename        : draft-reschke-rfc2231-in-http-05.txt
> 	Pages           : 13
> 	Date            : 2009-10-10
> 
> By default, message header parameters in Hypertext Transfer Protocol
> (HTTP) messages can not carry characters outside the ISO-8859-1
> character set.  RFC 2231 defines an escaping mechanism for use in
> Multipurpose Internet Mail Extensions (MIME) headers.  This document
> specifies a profile of that encoding suitable for use in HTTP.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-reschke-rfc2231-in-http-05.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt